<?php


namespace FiloBlu\Kpi\Setup;

use Magento\Framework\Setup\UpgradeSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

class UpgradeSchema implements UpgradeSchemaInterface
{

    /**
     * {@inheritdoc}
     */
    public function upgrade(
        SchemaSetupInterface $setup,
        ModuleContextInterface $context
    ) {
        if (version_compare($context->getVersion(), "1.0.0", "<")) {
            //Your upgrade script
        }

        if (version_compare($context->getVersion(), '1.0.1') < 0) {
            $this->addMissingDbFields($setup, $context);
        }
    }

    public function addMissingDbFields($setup,$context){

        if ($setup->getConnection()->tableColumnExists('sales_order', 'fbnetsuite_base_theoric_shipping_amount') === false) {
            $sql = "ALTER TABLE `sales_order` ADD COLUMN `fbnetsuite_base_theoric_shipping_amount` DECIMAL(12,4) NOT NULL DEFAULT '0.0000' COMMENT 'Base Theoric Shipping Amount (Free Shipping)';";
            $setup->run($sql);
        }

        if ($setup->getConnection()->tableColumnExists('sales_order', 'fbnetsuite_theoric_shipping_amount') === false) {
            $sql = "ALTER TABLE `sales_order` ADD COLUMN `fbnetsuite_theoric_shipping_amount` DECIMAL(12,4) NOT NULL DEFAULT '0.0000' COMMENT 'Theoric Shipping Amount (Free Shipping)';";
            $setup->run($sql);
        }

        if ($setup->getConnection()->tableColumnExists('sales_order_item', 'kpi_full_price') === false) {
            $sql = "ALTER TABLE `sales_order_item` ADD COLUMN `kpi_full_price` DECIMAL(12,4) NOT NULL DEFAULT '0.0000' COMMENT 'Product Full Price';";
            $setup->run($sql);
        }

    }




}
